<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">
	<Layout name="ScanEditScreen">
		<Container type="DelayParseAppPanel" name="ScanEditPanel">
			<Properties>
				<Property name="Size" type="Size">780,495</Property> 
				<Property name="Location" type="Point">7,30</Property> 
				<Property name="Anchor" type="AnchorStyles">Top,Left,Bottom,Right</Property> 
				<Property name="DoubleBuffer" type="Bool">True</Property>
				<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.MAINPANELBACKCOLOR"/>
				<Property name="Visible" type="Bool">False</Property>
			</Properties>	
			
			<!-- Panel used for entire right side of ScanEdit screen -->
			<SubContainers>
				<Container type="AppPanel" name="ScanEditRight">
					<Properties>
						<Property name="Dock" type="DockStyle">Fill</Property>
						<ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.RIGHTBACKGROUNDGRADIENT"/>
						<Property name="DoubleBuffer" type="Bool">False</Property>	
					</Properties>
			
					<SubContainers>
 
						<!-- Panel used to hold thumbnail control of ScanEdit screen -->
						<!-- This panel may not be required, but it is used to have 
						consistency with other controls within the ScanEdit right side -->
						<Container type="AppPanel" name="ScanEditImagePanel">
							<Properties>
								<Property name="Size" type="Size">364,435</Property>
								<Property name="BorderStyle" type="BorderStyle">None</Property>
								<Property name="Dock" type="DockStyle">Fill</Property>
								<Property name="DrawImages" type="Bool">False</Property>
								<Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
								<Property name="ZOrder" type="Int">0</Property>
								<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>	
								<Property name="DoubleBuffer" type="Bool">True</Property>
							</Properties>
							<Controls>
								<!-- Placeholder for Scan preview pane -->
								<Control type="EditPreviewPane" name="ScanEditImagePane">
									<Properties>
										<Property name="Size" type="Size">344,415</Property>
										<Property name="Location" type="Point">10,10</Property>
										<Property name="Anchor" type="AnchorStyles">Bottom,Top,Right,Left</Property>
										<Property name="BorderStyle" type="BorderStyle">None</Property>
										<ComplexProperty name="BackColor" type="Color" resourceID="EditPreviewPaneColorTable.BACKCOLOR"/>	
										<Property name="DefaultImage" type="Image" resourceID="ImageTable.DEFAULT_THUMBNAIL"/>
										<Property name="ShowShadow" type="Bool">True</Property>
										<Property name="EditMode" type="EditPreviewPaneMode">Display</Property>
										<Property name="SelectionDashStyle" type="DashStyle">Dash</Property>
										<Property name="SelectionCursor" type="Cursor">Cross</Property>
										<Property name="PinpointCursor" type="Cursor">Cross</Property>
										<Property name="MinimumSelectionSize" type="Size">50,50</Property>
										<Property name="DrawHandles" type="Bool">False</Property>
										<ComplexProperty name="SelectionRectColor" type="Color" resourceID="EditPreviewPaneColorTable.SELECTIONRECTCOLOR"/>
										<ComplexProperty name="HighlightRectColor" type="Color" resourceID="EditPreviewPaneColorTable.HIGHLIGHTRECTCOLOR"/>
										<ComplexProperty name="UnSelectedMaskColor" type="Color" resourceID="EditPreviewPaneColorTable.UNSELECTIONMASK"/>
									</Properties>
								</Control>
							</Controls>		
						</Container>
						<!-- End Scan Edit panel -->	
						
						<!-- FilmStrip panel -->
						<!-- Panel is only needed to be able to leave a few pixel line
						that separates the FilmStrip from the ScanEditImagePane -->
						<Container type="AppPanel" name="ScanEditFilmStripPanel">
							<Properties>
								<Property name="Size" type="Size">120,500</Property>
								<Property name="Dock" type="DockStyle">Right</Property>
								<Property name="ZOrder" type="Int">1</Property>
								<Property name="BorderStyle" type="BorderStyle">None</Property>
								<Property name="ImageBottomRight" type="Image">bottomright.png</Property>
								<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>
								<Property name="DoubleBuffer" type="Bool">False</Property>
							</Properties>
							<Controls>
								<Control type="PictureBox" name="SE_Strip">
									<Properties>
										<Property name="Size" type="Size">2,424</Property>
										<Property name="Location" type="Point">0,22</Property>
										<Property name="Image" type="Image">Scan_Red_Divider.png</Property>
										<Property name="Anchor" type="AnchorStyles">Left,Top,Bottom</Property>
										<Property name="Fill" type="Bool">True</Property>
									</Properties>
								</Control>

								<!-- Begin FilmStrip -->
								<Control type="FilmStrip" name="ScanEditFilmStrip">
									<Properties>
										<Property name="Dock" type="DockStyle">Right</Property>
										<Property name="Size" type="Size">117,490</Property>
										<Property name="BorderStyle" type="BorderStyle">None</Property>
										<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>
										<ComplexProperty name="ContextMenu" type="ContextMenu">	
										<Properties>
                      <ComplexProperty name="Font" type="Font" resourceID="ContextMenuFontTable.UNSELECTED_MENU_FONT"/>
                      <ComplexProperty name="BackColor" type="Color" resourceID="ContextMenuColorTable.BACKGROUNDCOLOR"/>
                      <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ContextMenuColorTable.SELECTEDBORDERCOLOR"/>
                      <ComplexProperty name="HighlightBackColor" type="Color" resourceID="ContextMenuColorTable.HOVERBACKGROUNDCOLOR"/>
                      <ComplexProperty type="List" name="MenuItems">
												<Properties>
														<ComplexProperty type="MenuItem" name="MenuItem1">
															<Properties>
																<Property type="String" name="Text" resourceID="ScanEditTable.PASTE"/>
																<Property type="String" name="Name">Paste</Property>
																<Property type="Int" name="Index">0</Property>
															</Properties>
														</ComplexProperty>
												</Properties>
										</ComplexProperty>	
										</Properties>
										</ComplexProperty>										
										<ComplexProperty type="MenuImageButton" name="Button">
											<Properties>
												<Property type="Image" name="ImageUp">Grey_SM_Norm.png</Property>
												<Property type="Image" name="ImageDown">Grey_SM_down.png</Property>
												<Property type="Image" name="ImageHover">Grey_SM_over.png</Property>
												<Property type="Size" name="Size">101,36</Property>
												<Property type="String" name="Text" resourceID="ScanEditTable.ADD"/>
												<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
												<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
												<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
												<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>											
												<ComplexProperty name="Menu" type="MenuForm" externalName="ToolBarMenus.ScanEditFilmstripMenuForm" scriptName="ScanEditToolBarMenus.xml"/>	
												<Property name="UseRegionRect" type="Bool">True</Property>
												<Property name="ShowMenuAbove" type="Bool">False</Property>
											</Properties>
										</ComplexProperty>	
										<ComplexProperty type="ThumbnailListCtrl" name="List">
											<Properties>
												<Property name="BorderStyle" type="BorderStyle">None</Property>
												<Property name="ItemViewStyle" type="ViewStyle">Small</Property>
												<ComplexProperty type="ThumbnailCtrl" name="DefaultItemProperties">
													<Properties>
														<ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
														<Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
														<ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
														<ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
                            <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
                            <ComplexProperty name="ContextMenu" type="ContextMenu">	
															<Properties>
                                <ComplexProperty name="Font" type="Font" resourceID="ContextMenuFontTable.UNSELECTED_MENU_FONT"/>
                                <ComplexProperty name="BackColor" type="Color" resourceID="ContextMenuColorTable.BACKGROUNDCOLOR"/>
                                <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ContextMenuColorTable.SELECTEDBORDERCOLOR"/>
                                <ComplexProperty name="HighlightBackColor" type="Color" resourceID="ContextMenuColorTable.HOVERBACKGROUNDCOLOR"/>
                                <ComplexProperty type="List" name="MenuItems">
																	<Properties>
																		<ComplexProperty type="MenuItem" name="ScanEditFilmStripMenuItem0">
																			<Properties>
																				<Property type="String" name="Text" resourceID="ScanEditTable.CUT"/>
																				<Property type="String" name="Name">Cut</Property>
																				<Property type="Int" name="Index">0</Property>
																				<Property type="Bool" name="Enabled">True</Property>
																			</Properties>
																		</ComplexProperty>
																		<ComplexProperty type="MenuItem" name="ScanEditFilmStripMenuItem1">
																			<Properties>
																				<Property type="String" name="Text" resourceID="ScanEditTable.COPY"/>
																				<Property type="String" name="Name">Copy</Property>
																				<Property type="Int" name="Index">1</Property>
																				<Property type="Bool" name="Enabled">True</Property>
																			</Properties>
																		</ComplexProperty>
																		<ComplexProperty type="MenuItem" name="ScanEditFilmStripMenuItem2">
																			<Properties>
																				<Property type="String" name="Text" resourceID="ScanEditTable.REMOVE"/>
																				<Property type="String" name="Name">Remove</Property>
																				<Property type="Int" name="Index">2</Property>
																				<Property type="Bool" name="Enabled">True</Property>
																			</Properties>
																		</ComplexProperty>
																		<ComplexProperty type="MenuItem" name="ScanEditFilmStripMenuItem3">
																			<Properties>
																				<Property type="String" name="Text" resourceID="ScanEditTable.PROPERTIES"/>
																				<Property type="String" name="Name">Properties</Property>
																				<Property type="Int" name="Index">3</Property>
																				<Property type="Bool" name="Enabled">True</Property>
																			</Properties>
																		</ComplexProperty>
																		
																	</Properties>
																</ComplexProperty>	
															</Properties>
														</ComplexProperty>
														
													</Properties>
												</ComplexProperty>
												<Property name="Multiselect" type="Bool">False</Property>
											</Properties>
										</ComplexProperty>
									</Properties>
								</Control>
								<!-- End FilmStrip -->							
							</Controls>
						</Container>
						<!-- End FilmStrip panel -->
						
						<!-- Action Bar Strip placeholder -->
						<!-- Panel is only needed to be able to leave a few pixel line
						that separates the ActionBarStrip from the ScanEditImagePane -->					
						<Container type="Panel" name="ScanEditActionBarStripPanel">
							<Properties>
								<Property name="Dock" type="DockStyle">Bottom</Property>
								<Property name="ZOrder" type="Int">2</Property>
								<Property name="Size" type="Size">480,62</Property>
								<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.MAINPANELBACKCOLOR"/>	
								<Property name="DoubleBuffer" type="Bool">False</Property>				
							</Properties>
							<SubContainers>                            
        						<Container name="SE_ActionBar_PanelStack" type="PanelStack">
        							<Properties>
                        				<Property name="Location" type="Point">296,436</Property>
                        				<Property name="Size" type="Size">486,58</Property>
                        				<Property name="Dock" type="DockStyle">Bottom</Property>
        								<Property name="Visible" type="Bool">True</Property>
                       	 				<Property name="ImageTopLeft" type="Image">topleft.png</Property>
                        				<Property name="ImageTopRight" type="Image">topright.png</Property>
                        				<Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
                        				<Property name="ImageBottomRight" type="Image">bottomright.png</Property>
                        				<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE" />
        								<Property name="SelectedPanelIndex" type="Int">0</Property>
        							</Properties>
        							<SubContainers>
						                <!-- External reference to toolbar strip of right side of Scan Edit Screen -->
						                <Container type="ToolBarStrip" name="ScanEditActionBarStrip" externalName="ScanEditActionStrip.ScanEditActionBarStrip" scriptName="ScanEditActionStrip.xml"/>
							            <!-- Modified ScanEdit Action Bar -->
							            <Container type="AppPanel" name="ModifiedScanEditActionBar">
								            <Properties>
            									<Property name="ZOrder" type="Int">3</Property>
            									<Property name="Size" type="Size">480,58</Property>
            									<Property name="Dock" type="DockStyle">Bottom</Property>
            									<Property name="Visible" type="Bool">False</Property>
            									<Property name="ImageTopLeft" type="Image">topleft.png</Property>
            									<Property name="ImageTopRight" type="Image">topright.png</Property>
            									<Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
            									<Property name="ImageBottomRight" type="Image">bottomright.png</Property>
            									<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/> 
            								</Properties>
            								<Controls>
            									<Control type="ImageButton" name="ScanEditModifiedActionBarBtn1">
            										<Properties>
            											<Property type="Image" name="ImageUp">Grey_SM_Norm.png</Property>
            											<Property type="Image" name="ImageDown">Grey_SM_down.png</Property>
            											<Property type="Image" name="ImageHover">Grey_SM_over.png</Property>
            											<Property type="Image" name="ImageDisabled">Grey_SM_dis.png</Property>
            											<Property type="Size" name="Size">101,36</Property>
            											<Property type="Point" name="Location">222,11</Property>
            											<Property type="Bool" name="Enabled">True</Property>
            											<Property type="AnchorStyles" name="Anchor">Bottom,Right</Property>
            											<Property type="String" name="Text" resourceID="ScanEditTable.MODIFIEDACTIONSTRIPBTN1"/>
            											<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
            											<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
            											<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
            											<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>											
            										</Properties>
            									</Control>
            									<Control type="ImageButton" name="ScanEditModifiedActionBarBtn2">
            										<Properties>
            											<Property type="Image" name="ImageUp">Grey_Med_Norm.png</Property>
            											<Property type="Image" name="ImageDown">Grey_Med_down.png</Property>
            											<Property type="Image" name="ImageHover">Grey_Med_over.png</Property>
            											<Property type="AnchorStyles" name="Anchor">Bottom,Right</Property>
            											<Property type="Size" name="Size">140,36</Property>
            											<Property type="Point" name="Location">332,11</Property>
            											<Property type="String" name="Text" resourceID="ScanEditTable.MODIFIEDACTIONSTRIPBTN2"/>
            											<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
            											<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
            											<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
            											<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>											
            										</Properties>
            									</Control>
            									<Control type="Label" name="ScanEditModifiedActionBarLabel">
            										<Properties>
            											<Property type="AnchorStyles" name="Anchor">Bottom,Left,Right</Property>
            											<Property type="Size" name="Size">210,41</Property>
            											<Property type="Point" name="Location">18,14</Property>
												          <Property type="Bool" name="UseEndEllipses">True</Property>
            											<Property type="String" name="Text" resourceID="ScanEditTable.MODIFIEDACTIONSTRIPLABEL"/>
            											<ComplexProperty name="Font" type="Font" resourceID="LabelFontTable.NORMALFONT"/>
            											<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/> 											
            										</Properties>
            									</Control>
            								</Controls>
							            </Container>
                                    </SubContainers>
                                </Container>                               
							</SubContainers>
						</Container>
						<!-- End Action Bar Strip placeholder -->

                        
						<!-- External reference to toolbar strip of right side of Scan Edit Screen -->
						<Container type="ToolBarStrip" name="ScanEditRightMenuStrip" externalName="ScanEditToolStrip.ScanEditRightMenuStrip" scriptName="ScanEditToolStrip.xml"/>
									
					</SubContainers>										
				</Container>
				<!-- End Right Side Panel -->
				
				<!-- Splitter used between left and right panels -->
				<!-- Note that a splitter is not really a container, but it is defined
				as such so that it can be properly positioned in the z-order between
				the left and right panels -->
				<Container type="AppSplitter" name="ScanEditSplitter">
					<Properties>
						<Property name="Size" type="Size">10,490</Property>
						<Property name="Dock" type="DockStyle">Left</Property>
						<Property name="MinSize" type="Int">200</Property>
						<Property name="MinExtra" type= "Int">400</Property>
						<Property name="ImagePositionFixed" type= "Bool">False</Property>
						<Property name="ImagePosition" type= "ContentAlignment">MiddleCenter</Property>
						<Property name="ImageUp" type= "Image">SplitterHandle_reg.png</Property>
						<Property name="ImageDown" type= "Image">SplitterHandle_down.png</Property>
						<Property name="ImageHover" type= "Image">SplitterHandle_over.png</Property>
						<Property name="SaveSplitterLocation" type="Bool">True</Property>
						<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
					</Properties>
				</Container>
				
				<!-- Panel used for entire Left side of ScanEdit screen -->
				<Container type="Panel" name="ScanEditLeft">
					<Properties>
						<Property name="Dock" type="DockStyle">Left</Property>
						<Property name="Size" type="Size">290,490</Property>
						<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
						<Property name="DoubleBuffer" type="Bool">False</Property>					
					</Properties>
					<SubContainers>
					
						<!-- Panel used to hold Return to welcome screen button found on Left -->
						<Container type="AppPanel" name="ScanEditReturnBtnPanel">
							<Properties>
								<Property name="Location" type="Point">0,432</Property>
								<Property name="Size" type="Size">290,28</Property>
								<Property name="BorderStyle" type="BorderStyle">None</Property>
								<Property name="DrawImages" type="Bool">False</Property>
								<Property name="ImageTopLeft" type="Image">topleft.png</Property>
								<Property name="ImageTopRight" type="Image">topright.png</Property>
								<Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
								<Property name="ImageBottomRight" type="Image">bottomright.png</Property>
								<Property name="Anchor" type="AnchorStyles">Bottom,Left,Right</Property>
								<ComplexProperty name="BackColor" type="Color" resourceID="ReturnToWelcomeColorTable.BACKCOLOR"/>
								<Property name="DoubleBuffer" type="Bool">False</Property> 							
							</Properties>
							<Controls>
								<Control type="ImageOffsetButton" name="ScanEditReturnToWelcomeBtn">
									<Properties>
										<Property name="Size" type="Size">250,22</Property>
										<Property name="Anchor" type="AnchorStyles">Top,Left</Property>
										<Property name="Location" type="Point">15,4</Property>
										<Property name="Text" type="String" resourceID="ScanEditTable.STARTOVER"/>
										<Property type="Image" name="ImageUp">home_reg.png</Property>
										<Property type="Image" name="ImageDown">home_down.png</Property>
										<Property type="Image" name="ImageHover">home_over.png</Property>
										<ComplexProperty name="BackColor" type="Color" resourceID="ReturnToWelcomeColorTable.BACKCOLOR"/>
										<ComplexProperty name="TextHoverColor" type="Color" resourceID="ReturnToWelcomeColorTable.TEXTHOVERCOLOR"/>
										<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ReturnToWelcomeColorTable.TEXTDISABLEDCOLOR"/>
										<ComplexProperty name="Font" type="Font" resourceID="ReturnToWelcomeFontTable.NORMALFONT"/>											
									</Properties>
								</Control>
							</Controls>
						</Container>
						<!-- End panel -->
						
						<!-- External reference to TabStrip that appears on left -->
						<Container type="TabStrip" name="ScanEditLeftTabStrip" externalName="ScanEditTabStrip.ScanEditLeftTabStrip" scriptName="ScanEditTabStrip.xml"/>
					</SubContainers>
				</Container>
				<!-- End Left side Panel -->	
							
			</SubContainers>
		</Container>
	</Layout>
</AppGui>